Package com.ads.api.beans.common

# Class Node

java.lang.Object
com.ads.api.beans.common.Node

Direct Known Subclasses:
  `AssetType`, `BasicNode`, `BusinessObject`, `Catalog`, `Category`, `Codeset`, `CodeValue`, `Mapping`, `MappingSpecificationRow`, `Project`, `Role`, `SMColumn`, `SMEnvironment`, `SMSystem`, `SMTable`, `Subject`, `Tag`

public class Node extends Object
This class provides some beans control methods related to Node and its details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Node.Depth`
  These constants are used to specify the Depth such as NAMES, NAMES_IDS, DETAILS, DETAILS_DOCUMENTS, DETAILS_PROJECT_RESOURCES, ALL.
  `static enum`
  `Node.InputDataType`
  `static enum`
  `Node.NodeType`
  These constants are used to specify the NodeType such as Table, column, Project, Subject, Mapping, Component, Environment and Field.
  `static enum`
  `Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Node()`
  `Node(Node.NodeType nodeType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChildNode(String name, Node node)`
  Adds the childNode to the Node specified as parameter.
  `HashMap<String,Node>`
  `getChildNodes()`
  Returns childNodes of the Node.
  `APIConstants.EndPointType`
  `getEndPointType()`
  `String`
  `getNodeId()`
  Returns nodeId.
  `Node.NodeType`
  `getNodeType()`
  Returns NodeType of the Node.
  `int`
  `getObjectTypeId()`
  `void`
  `setChildNodes(HashMap<String,Node> hmNodes)`
  Method sets the childNodes as specified.
  `void`
  `setEndPointType(APIConstants.EndPointType endPointType)`
  `void`
  `setNodeId(String nodeId)`
  Method sets the nodeId as specified.
  `void`
  `setNodeType(Node.NodeType nodeType)`
  Method sets the NodeType as specified.
  `void`
  `setObjectTypeId(int objectTypeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Node

    public Node()

  - ### Node

    public Node(Node.NodeType nodeType)

- ## Method Details

  - ### getNodeId

    public String getNodeId()
    Returns nodeId.
    Returns:
      nodeId String

  - ### setNodeId

    public void setNodeId(String nodeId)
    Method sets the nodeId as specified.
    Parameters:
      `nodeId` - String

  - ### getNodeType

    public Node.NodeType getNodeType()
    Returns NodeType of the Node.
    Returns:
      nodeType NodeType

  - ### setNodeType

    public void setNodeType(Node.NodeType nodeType)
    Method sets the NodeType as specified.
    Parameters:
      `nodeType` - NodeType

  - ### getChildNodes

    public HashMap<String,Node> getChildNodes()
    Returns childNodes of the Node.
    Returns:
      childNodes Collection.

  - ### addChildNode

    public void addChildNode(String name, Node node)
    Adds the childNode to the Node specified as parameter.
    Parameters:
      `name` - String
      `node` - Node

  - ### setChildNodes

    public void setChildNodes(HashMap<String,Node> hmNodes)
    Method sets the childNodes as specified.
    Parameters:
      `hmNodes` - HashMap

  - ### getEndPointType

    public APIConstants.EndPointType getEndPointType()

  - ### setEndPointType

    public void setEndPointType(APIConstants.EndPointType endPointType)

  - ### getObjectTypeId

    public int getObjectTypeId()
    Returns:
      the objectTypeId

  - ### setObjectTypeId

    public void setObjectTypeId(int objectTypeId)
    Parameters:
      `objectTypeId` - the objectTypeId to set